<template>
  <el-dialog
    v-model="show"
    :show-close="false"
    align-center
    :before-close="hideDialog"
    :width="
      !mobile ? (loginAdvertisement?.Path !== null ? 'fit-content' : '35%') : ''
    "
  >
    <div
      :class="!mobile ? 'h-80' : ''"
      class="flex justify-center"
      v-if="loginAdvertisement?.Path !== null"
    >
    <template v-if="loginAdvertisement && loginAdvertisement.HyperLink && loginAdvertisement.HyperLink.length > 0">
      <a :href="loginAdvertisement?.HyperLink" @click="linkClicked" :id="ID.ADS.LOGIN">
        <img
          v-lazy="loginAdvertisement?.ImagePath"
          :class="!mobile ? 'h-80' : ''"
          class="pointer-events-none"
        />
      </a>
    </template>
    <template v-else>
      <img
        v-lazy="loginAdvertisement?.ImagePath"
        :class="!mobile ? 'h-80' : ''"
        :id="ID.ADS.LOGIN"
      />
    </template>
    </div>
    <div
      v-else-if="loginAdvertisement?.HyperLink !== null"
      class="min-h-[20rem] h-full p-4 flex justify-center self-center"
    >
      <a :href="loginAdvertisement?.HyperLink" class="self-center">
        <div class="text-lg">{{ loginAdvertisement?.Text }}</div>
      </a>
    </div>
    <div v-else class="bg-notifications"></div>
  </el-dialog>
</template>
<script lang="ts">
import { defineComponent, ref } from "vue";
import { store } from "@/store";

export default defineComponent({
  name: "LoginAdvertisementDialog",
  setup() {
    const { allowCompany } = commonHelper;
    const show = ref(false);
    const themeProperties =
      store.state.companyThemePropertiesFromApi.ThemeProperties;
    const loginAdvertisement = themeProperties.find(
      (ads) => ads.HtmlId === "login_advertisement"
    );
    const loginAdvertisementStyle = themeProperties.find(
      (ads) => ads.HtmlId === "login_advertisement_style"
    );
    const dialogAds = localStorage.getItem("DialogAds");
    if (
      allowCompany.value &&
      !loginAdvertisementStyle?.IsHidden &&
      dialogAds === "show"
    ) {
      show.value = true;
    } else if (loginAdvertisement?.IsHidden === false && dialogAds === "show") {
      show.value = true;
    } else {
      localStorage.removeItem("DialogAds");
    }
    const hideDialog = (done: () => void) => {
      done();
      show.value = false;
      localStorage.removeItem("DialogAds");
    };
    const linkClicked = () => {
      show.value = false;
      localStorage.removeItem("DialogAds");
    }
    const mobile = !useIsDesktop();
    return {
      show,
      hideDialog,
      linkClicked,
      loginAdvertisement,
      mobile,
    };
  },
});
</script>
